summaryrefslogtreecommitdiff
path: root/debian/hurd.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/hurd.postinst')
-rw-r--r--debian/hurd.postinst14
1 files changed, 7 insertions, 7 deletions
diff --git a/debian/hurd.postinst b/debian/hurd.postinst
index 8ec6895b..7daf7b2d 100644
--- a/debian/hurd.postinst
+++ b/debian/hurd.postinst
@@ -12,11 +12,11 @@ fi
#DEBHELPER#
-(cd /dev && /sbin/MAKEDEV vcs) || true
-(cd /dev && /sbin/MAKEDEV tty1) || true
-(cd /dev && /sbin/MAKEDEV tty2) || true
-(cd /dev && /sbin/MAKEDEV tty3) || true
-(cd /dev && /sbin/MAKEDEV tty4) || true
-(cd /dev && /sbin/MAKEDEV tty5) || true
-(cd /dev && /sbin/MAKEDEV tty6) || true
+for i in vcs tty1 tty2 tty3 tty4 tty5 tty6; do
+ if ! [ -e /dev/$i ]; then
+ cd /dev
+ /sbin/MAKEDEV $i || true
+ fi
+done
+chmod u+s /bin/login